idf_component_register(
    SRCS
        "main.c"
        "wifi_config_portal.c"
        "mqtt_handler.c"
        "mqtt_comandos.c"
        "fs_handler.c"
        "eeprom_tls.c"
        "eeprom_virtual.c"
        "dns_server.c"  

        # LED driver
        "${CMAKE_CURRENT_SOURCE_DIR}/led_driver.c"
        "${CMAKE_CURRENT_SOURCE_DIR}/led_strip/led_strip.c"
        "${CMAKE_CURRENT_SOURCE_DIR}/led_strip/led_strip_encoder.c"

    INCLUDE_DIRS
        "."
        "include"
        "${CMAKE_CURRENT_SOURCE_DIR}/led_strip"

    REQUIRES
        esp_wifi
        esp_netif
        esp_event
        nvs_flash
        mqtt
        json
        spiffs
        driver
        esp_http_server
)
